AO-LOAD(1)

NAME
ao-test-igniter - test AltOS flight computer igniters

SYNOPSIS
ao-test-igniter [-T tty-device] [--tty tty-device] [-D altos-device] [--device altos-device] igniter-name...

DESCRIPTION
ao-test-igniter test the status and then fires the specified igniters on the target device

OPTIONS

-T tty-device | --tty tty-device
    This selects which tty device the debugger uses to communicate with the target device. The special name 'BITBANG' directs ao-dbg to use the cp2103 connection, otherwise this should be a usb serial port connected to a suitable cc1111 debug node.

-D AltOS-device | --device AltOS-device
    Search for a connected device. This requires an argument of one of the following forms:

    TeleMega:2
    TeleMega
    2

    Leaving out the product name will cause the tool to select a suitable product, leaving out the serial number will cause the tool to match one of the available devices.

USAGE
ao-test-igniter opens the target device, lists the available igniter and then fires the specified ones. And error occurrs if any of the specified igniters is not present or not ready.

AUTHOR
Keith Packard